### Hierarchy

- OfferSearchRepository

### Implemented by

- OfferSearchRepositoryImpl

## Index

### Methods

- addResultItem
- complainToSearchItem
- getSearchResult

## Methods

### addResultItem

- addResultItem(clientId: string, offerSearch: OfferSearch): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:7

  #### Parameters

  - ##### clientId: string

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### complainToSearchItem

- complainToSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:6

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### getSearchResult

- getSearchResult(clientId: string, searchRequestId: number): Promise<Array<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:5

  #### Parameters

  - ##### clientId: string

  - ##### searchRequestId: number

  #### Returns Promise<Array<OfferSearchResultItem>>

Generated using TypeDoc